package cn.iocoder.yudao.module.pms.service.app;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.app.vo.IotAppPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.app.vo.IotAppSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.app.IotAppDO;

import javax.validation.Valid;

/**
 * app版本更新 Service 接口
 *
 * @author 超级管理员
 */
public interface IotAppService {
    IotAppDO getNew();
    /**
     * 创建app版本更新
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIotApp(@Valid IotAppSaveReqVO createReqVO);

    /**
     * 更新app版本更新
     *
     * @param updateReqVO 更新信息
     */
    void updateIotApp(@Valid IotAppSaveReqVO updateReqVO);

    /**
     * 删除app版本更新
     *
     * @param id 编号
     */
    void deleteIotApp(Long id);

    /**
     * 获得app版本更新
     *
     * @param id 编号
     * @return app版本更新
     */
    IotAppDO getIotApp(Long id);

    /**
     * 获得app版本更新分页
     *
     * @param pageReqVO 分页查询
     * @return app版本更新分页
     */
    PageResult<IotAppDO> getIotAppPage(IotAppPageReqVO pageReqVO);

}
